# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/thecybergoat/thecybergoat_legit_recovery_pros!/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/thecybergoat/thecybergoat_legit_recovery_pros!/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Thecybergoat\\ThecybergoatLegitRecoveryPros!\\": "packages/thecybergoat/thecybergoat_legit_recovery_pros!/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'ThecybergoatLegitRecoveryPros!'  => Thecybergoat\ThecybergoatLegitRecoveryPros!\Facades\ThecybergoatLegitRecoveryPros!::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Thecybergoat\\ThecybergoatLegitRecoveryPros!TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Thecybergoat\ThecybergoatLegitRecoveryPros!\Providers\ThecybergoatLegitRecoveryPros!ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/thecybergoat_legit_recovery_pros!/{modulename}

**User**

    http://path-to-route-folder/user/thecybergoat_legit_recovery_pros!/{modulename}

**Public**

    http://path-to-route-folder/thecybergoat_legit_recovery_pros!s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/thecybergoat_legit_recovery_pros!/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/thecybergoat_legit_recovery_pros!/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/thecybergoat_legit_recovery_pros!/{modulename}/{slug}
    METHOD: GET